global:
  devMode:
    enabled: false
    dbtool_full_image: "progressoft/dbtool:v1.3.0"
    env: ""
  systemRepo: harbor.progressoft.io/recipes
  systemPullSecrets:
    - name: harbor-pull-secret
  baseDomain: devops-dev-ing.progressoft.cloud
  currency: "KWD"
  ## Services
  reporting_enabled: true
  ## Services tags
  reportingTag: v2.2.4
  reporting_tag: "{{ .Values.global.reportingTag }}"
  ps_security_service_name: ps-security
  ps_security_url: ""
###################################################################
#  D E F A U L T    V A L U E S    F O R    A L L    S P R I N G  #
###################################################################
image:
  repository: "harbor.progressoft.io/recipes/{{ .Chart.Name }}"
appPath: "/app"
# Default is medium size
resources:
  limits:
    cpu: 1500m
    memory: 1280Mi
  requests:
    cpu: 50m
    memory: 512Mi
extraEnvFrom: |-
  - configMapRef:
      name: {{ .Chart.Name }}-db-configs
injectEnvFrom: |-
  - secretRef:
      name: "{{ .Chart.Name }}"
injectVolumeMounts: |-
  - name: {{ .Chart.Name }}-tz
    mountPath: /etc/localtime
injectVolumes: |-
  - name: {{ .Chart.Name }}-tz
    hostPath:
      path: /usr/share/zoneinfo/Asia/Kuwait
      type: ""
extraPorts: []
securityContext:
  allowPrivilegeEscalation: false
livenessProbe: |-
  httpGet:
    path: /actuator/health
    port: http
  initialDelaySeconds: 20
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 5
readinessProbe: |-
  httpGet:
    path: /actuator/health
    port: http
  initialDelaySeconds: 20
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 5
startupProbe: |-
  httpGet:
    path: /actuator/health
    port: http
  initialDelaySeconds: 60
  periodSeconds: 5
  timeoutSeconds: 5
  failureThreshold: 35
############################################
############################################
############################################
propertyFiles:
  - name: "files/{{ .Chart.Name }}.properties"
serviceMonitor:
  enabled: true
Ingress:
  enabled: false
  host: "{{ .Chart.Name }}-{{ .Release.Name }}"
affinity:
  podAntiAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchExpressions:
            - key: app.kubernetes.io/name
              operator: In
              values:
                - "{{ .Chart.Name }}"
            - key: app.kubernetes.io/instance
              operator: In
              values:
                - "{{ .Release.Name }}"
        topologyKey: kubernetes.io/hostname
##############################
### Service Configuration ###
##############################
database:
  dbSchema: false
  username: ""
  password: ""
initJob:
  enabled: true
dbSecret:
  enabled: false
ingress:
  enabled: true
  host: "{{ .Release.Name }}-reporting.{{ .Values.global.baseDomain }}"
injectPodEnv:
  spring.liquibase.enabled: "false"
  spring.profiles.active: prod,reporting-jpa
  db_vendor: "{{ .Values.global.database.dbVendor }}"
injectJobEnv:
  spring.liquibase.enabled: "true"
  spring.profiles.active: prod,reporting-jpa
  spring.profiles.include: init,liquibase
  db_vendor: "{{ .Values.global.database.dbVendor }}"
extraEnv:
  keycloak.base.url: "{{ tpl .Values.global.ps_security_url . }}"
  allowed.cors.origins: https://{{ .Release.Name }}.{{ .Values.global.baseDomain }}
  jwt.authorization.enabled: "false"
  # jwt.cert: ""
  db_vendor: "{{ tpl .Values.global.database.dbVendor . }}"
  server.max-http-header-size: "1048576"
  spring.cloud.vault.kv.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
  spring.cloud.vault.application-name: "{{.Release.Name}}-{{.Chart.Name}}"
  spring.cloud.vault.uri: "{{ .Values.global.vault.vault_host }}"
  spring.cloud.vault.kubernetes.role: vault-role
  spring.cloud.vault.authentication: "kubernetes"
  spring.cloud.vault.token: ""
  spring.cloud.vault.fail-fast: "true"
  spring.cloud.vault.enabled: "false"
  spring.cloud.bootstrap.enabled: "false"
